<div class="cover">
  <div class="cover-hash cover {{if this.isLoaded "fade-out"}}" style={{this.hashStyle}}></div>
</div>

<div class="cover-image cover {{if this.isLoaded "fade-in"}}" style={{this.style}} {{on "click" this.handleClick}}>
  {{yield}}
</div>

<img src={{this.url}} alt="placeholder" class="d-none" {{on "load" this.loaded}} />